Change log for wxwidgets2.8 package in Ubuntu

155 of 55 results
Deleted in xenial-release on 2018-01-22 (Reason: (From Debian) ROM; Unmaintained upstream; newer release p...)
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
wxwidgets2.8 (2.8.12.1+dfsg2-2ubuntu2) wily; urgency=medium

  * Rebuild with the current gcc version (lp: #1486000)

 -- Sebastien Bacher <email address hidden>  Mon, 28 Sep 2015 17:09:11 +0200
Superseded in wily-release on 2015-09-28
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
wxwidgets2.8 (2.8.12.1+dfsg2-2ubuntu1) utopic; urgency=low

  * Merge with Debian unstable (LP: #1356749), remaining changes:
    - Disable bp-menubar-fix.patch.
    - Disable disable_media_python.patch to add wx.media to python-wxgtk2.8.

Superseded in utopic-release on 2014-08-27
Published in trusty-release on 2014-02-27
Deleted in trusty-proposed (Reason: moved to release)
wxwidgets2.8 (2.8.12.1+dfsg-2ubuntu2) trusty; urgency=medium

  * Fix compiler warning about an unused local typedef.
 -- Benjamin Drung <email address hidden>   Tue, 25 Feb 2014 21:34:36 +0100
Superseded in trusty-release on 2014-02-27
Deleted in trusty-proposed on 2014-03-01 (Reason: moved to release)
wxwidgets2.8 (2.8.12.1+dfsg-2ubuntu1) trusty; urgency=low

  * Merge with Debian unstable (LP: #1253003), remaining changes:
    - Disable bp-menubar-fix.patch.
    - Disable disable_media_python.patch to add wx.media to python-wxgtk2.8.
 -- Dmitry Shachnev <email address hidden>   Sat, 30 Nov 2013 21:11:54 +0400
Superseded in trusty-release on 2013-12-02
Deleted in trusty-proposed on 2013-12-04 (Reason: moved to release)
wxwidgets2.8 (2.8.12.1-14ubuntu2) trusty; urgency=low

  * disable disable_media_python.patch to add wx.media to python-wxgtk2.8
    (LP: #1224528)
 -- Fabrice Coutadeur <email address hidden>   Fri, 18 Oct 2013 20:29:34 +0200
Obsolete in saucy-updates on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to -updates)
wxwidgets2.8 (2.8.12.1-14ubuntu1.1) saucy-proposed; urgency=low

  * disable disable_media_python.patch to add wx.media to python-wxgtk2.8
    (LP: #1224528)
 -- Fabrice Coutadeur <email address hidden>   Fri, 18 Oct 2013 20:29:34 +0200
Superseded in trusty-release on 2013-10-30
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
wxwidgets2.8 (2.8.12.1-14ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining change:
    - Disable bp-menubar-fix.patch.
  * All other changes have been applied in Debian.
 -- Dmitry Shachnev <email address hidden>   Fri, 23 Aug 2013 21:32:13 +0400
Superseded in saucy-release on 2013-08-24
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
wxwidgets2.8 (2.8.12.1-11ubuntu4) raring; urgency=low

  * Disable bp-menubar-fix.patch and drop-appmenu-workaround.patch for now.
    These patches fixed the grey stripe covering the Audacity menu with gnome
    classic bug #996407, but brought a bigger regression for all wxwidgets
    applications. (LP: #662077)
 -- Benjamin Drung <email address hidden>   Fri, 16 Nov 2012 16:33:05 +0100
Obsolete in quantal-updates on 2015-04-24
Deleted in quantal-proposed on 2015-05-01 (Reason: moved to -updates)
wxwidgets2.8 (2.8.12.1-11ubuntu3.1) quantal-proposed; urgency=low

  * Disable bp-menubar-fix.patch and drop-appmenu-workaround.patch for now.
    These patches fixed the grey stripe covering the Audacity menu with gnome
    classic bug #996407, but brought a bigger regression for all wxwidgets
    applications. (LP: #662077)
 -- Benjamin Drung <email address hidden>   Fri, 26 Oct 2012 17:50:50 +0200
Superseded in raring-release on 2012-11-16
Obsolete in quantal-release on 2015-04-24
wxwidgets2.8 (2.8.12.1-11ubuntu3) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.
 -- Colin Watson <email address hidden>   Sun, 09 Sep 2012 13:31:11 +0100
Deleted in precise-proposed on 2012-07-25 (Reason: Verification failed with multiple issues.)
wxwidgets2.8 (2.8.12.1-6ubuntu2.2) precise-proposed; urgency=low

  * Drop appmenu workaround. It causes 100% CPU usage when using
    appmenu. (LP: #996407)
 -- Benjamin Drung <email address hidden>   Sat, 02 Jun 2012 16:08:35 +0200
Superseded in quantal-release on 2012-09-09
wxwidgets2.8 (2.8.12.1-11ubuntu2) quantal; urgency=low

  * Drop appmenu workaround. It causes 100% CPU usage when using
    appmenu. (LP: #996407)
 -- Benjamin Drung <email address hidden>   Sat, 02 Jun 2012 16:04:50 +0200
Superseded in quantal-release on 2012-06-02
wxwidgets2.8 (2.8.12.1-11ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: re-enable mediactrl. This allows libwx_gtk2u_media-2.8 to be
      built, as this is required by some applications (LP: #632984)
    - debian/control:
      - Build-dep on libxt-dev, libgstreamer-plugins-base0.10-dev,
        and libgconf2-dev for mediactrl.
      - Add conflict on python-wxgtk2.8 (<< 2.8.12.1-6ubuntu1~) to
        python-wxversion to guarantee upgrade ordering when moving from
        pycentral to dh_python2.
  * Drop fix-bashism-in-example.patch. (LP: #1005609)

Superseded in precise-proposed on 2012-06-02
wxwidgets2.8 (2.8.12.1-6ubuntu2.1) precise-proposed; urgency=low

  * Backport patch to fix calling SetMenuBar() twice causes the menubar to not
    resize correctly in GTK. (LP: #996407)
 -- Benjamin Drung <email address hidden>   Sun, 27 May 2012 18:42:13 +0200
Superseded in quantal-release on 2012-06-02
wxwidgets2.8 (2.8.12.1-9ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: re-enable mediactrl. This allows libwx_gtk2u_media-2.8 to be
      built, as this is required by some applications (LP: #632984)
    - debian/control:
      - Build-dep on libxt-dev, libgstreamer-plugins-base0.10-dev,
        and libgconf2-dev for mediactrl.
      - Add conflict on python-wxgtk2.8 (<< 2.8.12.1-6ubuntu1~) to
        python-wxversion to guarantee upgrade ordering when moving from
        pycentral to dh_python2.
    - Patches
      + fix-bashism-in-example.patch
  * Backport patch to fix calling SetMenuBar() twice causes the menubar to not
    resize correctly in GTK. (LP: #996407)

Superseded in quantal-release on 2012-05-27
Published in precise-release on 2012-02-12
wxwidgets2.8 (2.8.12.1-6ubuntu2) precise; urgency=low

  * debian/control: add b-d on libgstreamer-plugins-base0.10-dev and
    libgconf2-dev to fully enable mediactrl and build libwx_gtk2u_media-2.8
    (LP: #928894)
 -- Fabrice Coutadeur <email address hidden>   Sun, 12 Feb 2012 15:51:26 +0100
Superseded in precise-release on 2012-02-12
wxwidgets2.8 (2.8.12.1-6ubuntu1) precise; urgency=low

  * Resync from Debian, changes that were kept:
    - debian/rules: re-enable mediactrl. This allows libwx_gtk2u_media-2.8 to be
      built, as this is required by some applications (LP: #632984)
    - debian/control: Build-dep on libxt-dev for mediactrl.
    - Patches
      + fix-bashism-in-example
  * Add conflict on python-wxgtk2.8 (<< 2.8.12.1-6ubuntu1~) to python-wxversion
    to guarantee upgrade ordering when moving from pycentral to dh_python2.
 -- Stephane Graber <email address hidden>   Sat, 07 Jan 2012 13:59:25 +0100
Superseded in precise-release on 2012-01-07
wxwidgets2.8 (2.8.11.0-0ubuntu11) precise; urgency=low

  * Build-depend on libjpeg-dev rather than libjpeg62-dev.
 -- Colin Watson <email address hidden>   Mon, 21 Nov 2011 16:32:12 +0000
Obsolete in natty-updates on 2013-06-04
Deleted in natty-proposed on 2013-06-04 (Reason: moved to -updates)
wxwidgets2.8 (2.8.11.0-0ubuntu8.1) natty-proposed; urgency=low

  * debian/patches/multiarch_paths.patch: look in the multiarch path
    when detecting libraries.  Closes LP: #828999.
 -- Steve Langasek <email address hidden>   Fri, 19 Aug 2011 03:09:18 -0700
Superseded in precise-release on 2011-11-21
Obsolete in oneiric-release on 2015-04-24
wxwidgets2.8 (2.8.11.0-0ubuntu10) oneiric; urgency=low

  * debian/patches/multiarch_paths.patch: look in the multiarch path
    when detecting libraries.  Closes LP: #828999.
 -- Steve Langasek <email address hidden>   Fri, 19 Aug 2011 08:45:53 +0000
Superseded in oneiric-release on 2011-08-19
wxwidgets2.8 (2.8.11.0-0ubuntu9) oneiric; urgency=low

  * debian/rules: reenable mediactrl. This allows libwx_gtk2u_media-2.8 to be
    built, as this is required by some applications (LP: #632984)
 -- Fabrice Coutadeur <email address hidden>   Thu, 05 May 2011 04:28:06 +0000
Superseded in oneiric-release on 2011-05-06
Obsolete in natty-release on 2013-06-04
wxwidgets2.8 (2.8.11.0-0ubuntu8) natty; urgency=low

  * debian/patches/appmenu2.patch: Fix high CPU usage with
    appmenu-gtk, which was caused by appmenu.path (LP: #722375)
 -- David Henningsson <email address hidden>   Wed, 06 Apr 2011 15:30:16 +0200
Obsolete in maverick-updates on 2013-03-05
Deleted in maverick-proposed on 2013-03-05 (Reason: moved to -updates)
wxwidgets2.8 (2.8.11.0-0ubuntu4.1) maverick-proposed; urgency=low

  * Apply appmenu.patch to get menus back (LP: #662077).
 -- Benjamin Drung <email address hidden>   Sat, 19 Feb 2011 21:05:43 +0100
Superseded in natty-release on 2011-04-06
wxwidgets2.8 (2.8.11.0-0ubuntu7) natty; urgency=low

  * Apply appmenu.patch to get menus back (LP: #662077).
 -- Benjamin Drung <email address hidden>   Sat, 19 Feb 2011 20:17:05 +0100
Superseded in natty-release on 2011-02-19
wxwidgets2.8 (2.8.11.0-0ubuntu6) natty; urgency=low

  * Fix build failure introduced by LP: #620280.
 -- Matthias Klose <email address hidden>   Sun, 05 Dec 2010 14:01:35 +0100
Superseded in natty-release on 2010-12-05
wxwidgets2.8 (2.8.11.0-0ubuntu5) natty; urgency=low

  * Rebuild to add support for python 2.7.
 -- Matthias Klose <email address hidden>   Fri, 03 Dec 2010 00:16:22 +0000
Superseded in natty-release on 2010-12-03
Obsolete in maverick-release on 2013-03-05
wxwidgets2.8 (2.8.11.0-0ubuntu4) maverick; urgency=low

  * python-wxversion: install wxversion.py in the right path (LP: #620280).
  * Bump Standards-Version to 3.9.1.
 -- Devid Antonio Filoni <email address hidden>   Thu, 26 Aug 2010 08:46:02 +0200
Obsolete in lucid-updates on 2016-10-26
Deleted in lucid-proposed on 2016-11-01 (Reason: moved to -updates)
wxwidgets2.8 (2.8.10.1-0ubuntu1.2) lucid-proposed; urgency=low

  * python-wxtools: do not ship /usr/bin/editra too (LP: #559822).
 -- Devid Antonio Filoni <email address hidden>   Fri, 06 Aug 2010 17:36:33 +0200
Superseded in maverick-release on 2010-08-27
wxwidgets2.8 (2.8.11.0-0ubuntu3) maverick; urgency=low

  * debian/rules: revert a change introduced in 2.8.11.0-0ubuntu2 which broke
    python-wxgtk2.8 postinst.
 -- Devid Antonio Filoni <email address hidden>   Thu, 22 Jul 2010 03:27:35 +0200
Superseded in lucid-proposed on 2010-08-17
wxwidgets2.8 (2.8.10.1-0ubuntu1.1) lucid-proposed; urgency=low

  * python-wxgtk2.8: remove files which broke update-alternatives
    (LP: #379573).
  * python-wxtools: do not ship editra anymore (LP: #559822).
 -- Devid Antonio Filoni <email address hidden>   Tue, 20 Jul 2010 20:02:44 +0200
Superseded in maverick-release on 2010-07-22
wxwidgets2.8 (2.8.11.0-0ubuntu2) maverick; urgency=low

  * Merge *some* changes from Debian package (version 2.8.10.1-3). This should
    make merges easier. Also fixes LP: #559822. Also merged several patches.
  * Remove debian/patches/editra_pixmaps.dpatch patch, we don't ship editra
    anymore.
  * Remove files which broke update-alternatives (LP: #379573).
  * Switch to format 3.0 (quilt).
 -- Devid Antonio Filoni <email address hidden>   Tue, 20 Jul 2010 01:55:41 +0200
Superseded in maverick-release on 2010-07-20
wxwidgets2.8 (2.8.11.0-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #568985).
  * Fix missing-debian-source-format info.
  * Fix patch-system-but-no-source-readme lintian warning.
  * Fix debhelper-but-no-misc-depends lintian warnings.
  * Remove octave_oct, tcl_tk_tcl, CVE-2009-2369 and svn61009_fix_ftbfs
    patches, not needed anymore.
  * Bump Standards-Version to 3.9.0.
 -- Devid Antonio Filoni <email address hidden>   Thu, 15 Jul 2010 18:23:34 +0200
Superseded in maverick-release on 2010-07-16
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
wxwidgets2.8 (2.8.10.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #387424).
  * Update debian/patches/tcl_tk.tcl.dpatch patch.
  * Update debian/patches/editra_pixmaps.dpatch patch.
  * Remove debian/patches/colours.dpatch patch, merged upstream.
  * Remove useless debian/patches/WX_CONFIG.dpatch file.
  * debian/control.in: modify *-dbg Section field to debug.
  * debian/control.in: unfold the Build-Depends, Suggests, Replaces and
    Depends fields.
  * Override ancient-libtool and outdated-autotools-helper-file lintian
    warnings and ancient-autotools-helper-file lintian errors.
  * Fix debian-watch-file-should-use-sf-redirector lintian warning.
  * Fix binary-control-field-duplicates-source lintian infos.
  * Fix duplicate-short-description lintian info.
  * Move debian/*.desktop files to debian/desktop_files directory.
  * Move debian/*.1 files to debian/manpages directory.
  * Remove useless debian/README.HowToBuild.txt file.
  * Remove debian/build_all file, it isn't used.
  * Add debian/patches/CVE-2009-2369.dpatch patch taken from Debian unstable,
    fix an integer overflow in the wxImage::Create function (CVE-2009-2369).
  * Add debian/patches/svn61009_fix_ftbfs.dpatch patch taken from upstream
    SVN rev 61009, fix FTBFS caused by new versions of glib.
  * debian/rules: fix FTBFS caused by some changes introduced in
    2.8.9.1-0ubuntu5.
  * Add debian/patches/{wxversion_path, wx_pth_dbg}.dpatch patches with
    changes introduced directly to source in 2.8.9.1-0ubuntu5.
    PLEASE REMEMBER, THERE IS NOTHING WRONG WITH USING DPATCH!
  * Do not provide python-wxaddons package, upstream doesn't ship wxaddons
    anymore.
  * debian/control.in: add Homepage field.
  * Fix description-possibly-contains-homepage lintian infos.
  * Bump Standards-Version to 3.8.2.

 -- Devid Antonio Filoni <email address hidden>   Tue, 11 Aug 2009 14:33:24 +0200
Superseded in karmic-release on 2009-08-11
Obsolete in jaunty-release on 2013-02-28
wxwidgets2.8 (2.8.9.1-0ubuntu6) jaunty; urgency=low

  * Don't call dh_pycentral twice for each package (introduced in
    2.8.9.1-0ubuntu1). LP: #355455.
  * Call dh_pycentral for python-wxversion.
  * python-wxversion replaces earlier python-wxgtk2.8. LP: #355424.

 -- Matthias Klose <email address hidden>   Sun, 05 Apr 2009 14:23:51 +0200
Superseded in jaunty-release on 2009-04-05
wxwidgets2.8 (2.8.9.1-0ubuntu5) jaunty; urgency=low

  [Isaac Gordezky]
  * Fix duplicate directories in python2.6. LP: #337696.
  * Fix handling of python .egg-info files using links
  * Allow side-by-side install for python-wx2.6

  [Matthias Klose]
  * Fix wxaddons packaging.
  * Call dh_pycentral with `include-links' instead of 'nomove'.
  * debian/rules (clean): Remove uudecoded png icons.

 -- Matthias Klose <email address hidden>   Sat, 04 Apr 2009 22:24:59 +0200
Superseded in jaunty-release on 2009-04-05
wxwidgets2.8 (2.8.9.1-0ubuntu4) jaunty; urgency=low

  * Fix a typo in the python-wxgtk2.8 postinst. LP: #333782.

 -- Matthias Klose <email address hidden>   Wed, 25 Feb 2009 02:03:08 +0000
Superseded in jaunty-release on 2009-02-25
wxwidgets2.8 (2.8.9.1-0ubuntu3) jaunty; urgency=low

  * Fix installation of python-wxgtk2.8, hard coding the name of the
    site directory. LP: #333149.

 -- Matthias Klose <email address hidden>   Mon, 23 Feb 2009 23:25:54 +0000
Superseded in jaunty-release on 2009-02-24
wxwidgets2.8 (2.8.9.1-0ubuntu2) jaunty; urgency=low

  * Build for python2.6.
  * Don't hardcode the name of the site directory.

 -- Matthias Klose <email address hidden>   Mon, 23 Feb 2009 11:05:20 +0000
Superseded in jaunty-release on 2009-02-23
wxwidgets2.8 (2.8.9.1-0ubuntu1) jaunty; urgency=low

  * New upstream release, tarball generated by get-orig-source rule.
  * Add debian/patches/fix_b_bashism.dpatch patch to fix a bashism.
  * Add debian/patches/colours.dpatch from Tim Kosse to fix colours issues
    when a dark theme is used (LP: #284755).
  * Remove debian/patches/fix_from_upstream_svn_r52465.dpatch patch, we can
    download it from the upstream svn.
  * debian/rules: include some changes from Debian debian/rules.
  * Move all icons from debian to debian/icons dir.
  * Fix dpatch-missing-description lintian warnings.

 -- Devid Antonio Filoni <email address hidden>   Wed, 05 Nov 2008 17:43:07 +0100
Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
wxwidgets2.8 (2.8.8.0-0ubuntu2) intrepid; urgency=low

  * debian/python-wxgtk.postinst,
    debian/python-wxgtk.prerm,
    debian/rules:
    - Switch back to update-alternatives for python-wxgtk2.8, so that
      python-wxgtk2.6 can work when python-wxgtk2.8 isn't installed
      (see #274619). Re-fixes lp: #211553.

 -- Emilio Pozuelo Monfort <email address hidden>   Mon, 13 Oct 2008 14:35:07 +0200
Superseded in intrepid-release on 2008-10-13
wxwidgets2.8 (2.8.8.0-0ubuntu1) intrepid; urgency=low

  * New upstream version, based on the upstream tarball
    wxPython-src-2.8.8.0.tar.bz2, remove upstream debian dir (LP: #244355).
  * Add debian/watch file, LP: #242164.
  * Edit get-orig-source target to provide a .orig.tar.gz with the same md5 for
    each .orig.tar.gz generated.
  * debian/rules: remove get-orig-source from .PHONY target.
  * debian/control.in: add python-wxtools in python-wxgtk=V=U Suggests field.
  * Do not apply fix_from_upstream_svn_r52465 patch, not needed.
  * Regenerate octave_oct, tcl_tk_tcl patches for the new version.
  * Fix spelling-error-in-description lintian warning.
  * Fix depends-on-obsolete-package lintian error.
  * Fix executable-not-elf-or-script lintian warnings.
  * Fix script-not-executable lintian warnings.
  * Fix missing-dependency-on-libc lintian error.
  * Fix dbg-package-missing-depends lintian warnings.
  * Fix package-contains-empty-directory lintian warnings.
  * Fix manpage-has-errors-from-man lintian warning.
  * Fix image-file-in-usr-lib lintian warnings:
    - add editra_pixmaps patch
    - add xrced_bitmaps patch
  * Fix unused-override lintian info.
  * Fix malformed-override lintian errors.
  * Fix extra-license-file lintian warnings.
  * Install upstream wx.pth instead of generated file links (LP: #211553).
  * Add editra.png, pyshell.png (encoded using uuencode) icons, LP: #236876:
    - debian/rules: use uudecode to decode .png icons.
  * Add a new pyshell.xpm icon.
  * Fix doc-base-file-references-missing-file lintian error.
  * Fix doc-base-unknown-section lintian warning.
  * Fix ruby-script-but-no-ruby-dep lintian errors.
  * Fix wish-script-but-no-wish-dep lintian errors.
  * Fix missing-dep-for-interpreter errors.
  * Bump Standards-Version to 3.8.0.

 -- Devid Filoni <email address hidden>   Mon, 30 Jun 2008 22:02:17 +0200
Superseded in intrepid-release on 2008-07-05
Obsolete in hardy-release on 2015-04-24
wxwidgets2.8 (2.8.7.1-0ubuntu3) hardy; urgency=low

  * debian/rules:
     - Moved python-wxgtk2.8's dh_pycentral call so that it's done after files
       are moved into the python-wxaddons package (LP: #203526)
     - Added missing dh_pycentral call for python-wxaddons
  * Thanks to Matthias Klose for his help on this issue

 -- Adrien Cunin <email address hidden>   Wed, 19 Mar 2008 17:27:48 +0100
Superseded in hardy-release on 2008-03-20
wxwidgets2.8 (2.8.7.1-0ubuntu2) hardy; urgency=low

  [ Morten Kjeldgaard ]

  * debian/control.in: removed references to the deprecated and redundant package
    python-xml (LP: #199014).

  [ Adrien Cunin ]

  * debian/control.in: versioned build-dep python-all-{dev,dbg} (>= 2.4)
  * debian/rules: added debian/control target to .PHONY so that debian/control
    is always re-generated from debian/control.in
  * Added debian/patches/fix_from_upstream_svn_r52465.dpatch from upstream SVN
    rev. 52465:
    "fix for idle processing stopping without processing all pending events".
    Fixes filezilla issue. LP: #193340.

 -- Adrien Cunin <email address hidden>   Mon, 17 Mar 2008 23:13:42 +0100
Superseded in hardy-release on 2008-03-18
wxwidgets2.8 (2.8.7.1-0ubuntu1) hardy; urgency=low

  * New upstream version, based on the upstream tarball
    wxPython-src-2.8.7.1.tar.bz2, renamed debian to debian-upstream.
  * Add debian/editra.desktop file.
  * Add editra to debian/python-wxtools.menu file.
  * Provide a new debian/xrced.xpm icon derived from upstream .png icon.
  * Provide debian/editra.xpm icon.
  * Fix "wrong-path-for-interpreter" lintian errors.
  * Fix "binary-without-manpage" lintian warning.
  * Fix "debian-control-with-duplicate-fields" lintian error.
  * Fic "substvar-source-version-is-deprecated" lintian warnings.
  * Add "octave_oct" patch.
  * Add "tcl_tk_tcl" patch.
  * debian/rules:
    - added editra.xpm icon to install-gtk-py-tools target
    - added debian/editra.desktop file to install-gtk-py-tools target
    - added wxPython/wx/tools/Editra/pixmaps/editra.png icon to
      install-gtk-py-tools target
    - added Editra man with dh_link tag in install-gtk-py-tools
      target

 -- Devid Filoni <email address hidden>   Wed, 13 Feb 2008 19:55:42 +0100
Superseded in hardy-release on 2008-02-14
wxwidgets2.8 (2.8.6.1-0ubuntu3) hardy; urgency=low

  * debian/control.in: Add dpatch to the build dependencies.

 -- Matthias Klose <email address hidden>   Tue, 05 Feb 2008 17:05:30 +0000
Superseded in hardy-release on 2008-02-05
wxwidgets2.8 (2.8.6.1-0ubuntu2) hardy; urgency=low

  * Build for all supported python versions.
  * Move the wx.pth symlink handled by update-alternatives into
    the python-wxversion package; adjust dependencies accordingly.
  * Do not apply "WX_CONFIG" patch (generated file).

 -- Matthias Klose <email address hidden>   Mon, 04 Feb 2008 21:44:25 +0000
Superseded in hardy-release on 2008-02-05
wxwidgets2.8 (2.8.6.1-0ubuntu1) hardy; urgency=low

  * New upstream version, based on the upstream tarball
    wxPython-src-2.8.6.1.tar.bz2, renamed debian to debian-upstream.
  * Provide a get-orig-source target to do the repackaging.
  * Fix "substvar-source-version-is-deprecated" lintian warnings.
  * Remove duplicate Description field in debian/control.
  * Add "\" at the end of line 8 in debian/python-wxtools.menu to fix
    "bad-test-in-menu-item" lintian error.
  * Provide .xpm icons to fix "menu-icon-not-in-xpm-format" lintian errors,
    changed Icon field in debian/python-wxtools.menu.
  * Fix "wrong-name-for-upstream-changelog" lintian warnings.
  * Remove "Application;" from Categories field in debian/pycrust.desktop,
    debian/pyshell.desktop, debian/xrced.desktop.
  * Switch "Apps" to "Applications" in debian/python-wxtools.menu to fix
    "menu-item-uses-apps-section" lintian warnings.
  * Drop the icon extension from debian/pycrust.desktop,
    debian/pyshell.desktop, debian/xrced.desktop.
  * Add dpatch support.
  * Add "WX_CONFIG" patch.
  * debian/rules:
    - added .xpm icons to install-gtk-py-tools target
    - added "docs/changes.txt" to dh_installchangelogs in binary-common target
    - added "\" at the end of "install-examples install-msw-dev
      install-msw-dbg install-headers-msw" line in .PHONY

 -- Devid Filoni <email address hidden>   Tue, 06 Nov 2007 18:25:13 +0100
Superseded in hardy-release on 2007-12-23
Obsolete in gutsy-release on 2011-09-16
wxwidgets2.8 (2.8.4.0-0ubuntu3) gutsy; urgency=low

  * src/gtk/settings.cpp:
    + Patch from upstream SVN (r48002) to stop using private Gtk API which
      results in segfaults since Gtk 2.11.6.
      https://sourceforge.net/tracker/?func=detail&atid=109863&aid=1767485&group_id=9863

 -- Sebastian Droege <email address hidden>   Fri, 10 Aug 2007 13:14:08 +0200
Superseded in gutsy-release on 2007-08-10
wxwidgets2.8 (2.8.4.0-0ubuntu2) gutsy; urgency=low

  * src/gtk/{button,window}.cpp:
    - Use gtk_border_free not g_free when freeing GtkBorder's.
      Changes from upstream CVS (LP: #120278).

 -- Matti Lindell <email address hidden>   Mon, 25 Jun 2007 23:51:17 +0300
Superseded in gutsy-release on 2007-06-26
wxwidgets2.8 (2.8.4.0-0ubuntu1) gutsy; urgency=low

  * New upstream version, based on the upstream tarball
    wxPython-src-2.8.4.0.tar.bz2, renamed debian to debian-upstream.
  * Set the priority of the wx.pth alternative to 28.
  * debian/rules: Unset DEBIAN_WX_DEFAULT_VERSION.
  * Merge changes from the "upstream" debian packaging.

 -- Matthias Klose <email address hidden>   Sat, 26 May 2007 17:54:57 +0200
Superseded in gutsy-release on 2007-05-26
wxwidgets2.8 (2.8.3.0-0ubuntu1) gutsy; urgency=low

  * New upstream version, based on the upstream tarball
    wxPython-src-2.8.3.0.tar.bz2, renamed debian to debian-upstream.

 -- Emilio Pozuelo Monfort <email address hidden>   Fri, 20 Apr 2007 00:01:50 +0200
Superseded in gutsy-release on 2007-04-27
Obsolete in feisty-release on 2009-08-20
wxwidgets2.8 (2.8.1.1-0ubuntu4) feisty; urgency=low

  * Patched src/unix/gsocket.cpp to fix filezilla bug LP: #88897
    Patch details are at http://
    sf.net/tracker/index.php?func=detail&aid=1688222&group_id=9863&atid=309863

 -- Adrien Cunin <email address hidden>   Fri, 30 Mar 2007 22:06:40 +0200
Superseded in feisty-release on 2007-03-30
wxwidgets2.8 (2.8.1.1-0ubuntu3) feisty; urgency=low

  * fixed error in header file which blocks use of -pedantic
    (patch from CVS) (LP: #91853)

 -- Jonh Wendell <email address hidden>   Mon, 19 Mar 2007 14:20:59 -0300
Superseded in feisty-release on 2007-03-24
wxwidgets2.8 (2.8.1.1-0ubuntu2) feisty; urgency=low

  * fixed crash in wxGetUserName() in Unicode (from CVS) (LP: #35375)

 -- Emmet Hikory <email address hidden>   Mon, 12 Mar 2007 09:53:59 +0900
Superseded in feisty-release on 2007-03-12
wxwidgets2.8 (2.8.1.1-0ubuntu1) feisty; urgency=low

  * New upstream version, based on the upstream tarball
    wxPython-src-2.8.1.1.tar.bz2, renamed debian to debian-upstream.
  * TODO: wxPython header files are installed in some bogus location,
    but not in any package (no regression from 2.6).

  [ Matthias Klose ]

  * Merge changes from wxwidgets2.6-2.6.3.2.1.5ubuntu5.
  * Merge changes from the "upstream" 2.8.1.1-0 package (without any
    changes to debian/changelog, which includes upstream changes).
    - Update build dependencies.
    - New package python-wxaddons.
    - Desktop integration for pycrust, pyshell, xrced.
  * Remove redundant dependencies on libc6-dev.
  * Set the priority of the wx.pth alternative to 25 (instead of the
    default 28), so that we keep wxwidgets2.6 as the default on
    new installations.
  * wx2.8-headers: Install wxPython header files. Ubuntu #2887.

  [ Barry deFreese ]

  * Python version - 2.5
  * Bump standards to 3.7.2
  * Debhelper/compat > 5

 -- Matthias Klose <email address hidden>   Wed, 28 Feb 2007 23:33:05 +0100
155 of 55 results